org.apache.lucene.analysis.ko

## Enum KoreanTokenizer.DecompoundMode

- java.lang.Object
- - java.lang.Enum<KoreanTokenizer.DecompoundMode>
  - - org.apache.lucene.analysis.ko.KoreanTokenizer.DecompoundMode

- All Implemented Interfaces:
    Serializable, Comparable<KoreanTokenizer.DecompoundMode>
  Enclosing class:
    KoreanTokenizer

      public static enum KoreanTokenizer.DecompoundMode
      extends Enum<KoreanTokenizer.DecompoundMode>

  Decompound mode: this determines how the tokenizer handles `POS.Type.COMPOUND`, `POS.Type.INFLECT` and `POS.Type.PREANALYSIS` tokens.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DISCARD` Decompose compounds and discards the original form (default).
    `MIXED` Decompose compounds and keeps the original form.
    `NONE` No decomposition for compound.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KoreanTokenizer.DecompoundMode` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KoreanTokenizer.DecompoundMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final KoreanTokenizer.DecompoundMode NONE

      No decomposition for compound.

    - #### DISCARD

          public static final KoreanTokenizer.DecompoundMode DISCARD

      Decompose compounds and discards the original form (default).

    - #### MIXED

          public static final KoreanTokenizer.DecompoundMode MIXED

      Decompose compounds and keeps the original form.

  - ### Method Detail

    - #### values

          public static KoreanTokenizer.DecompoundMode[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KoreanTokenizer.DecompoundMode c : KoreanTokenizer.DecompoundMode.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KoreanTokenizer.DecompoundMode valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.